using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using skyscraper5.Skyscraper.Gps;
using skyscraper5.Skyscraper.Plugins;

namespace skyscraper5.NmeaSharpWrapper
{
	[SkyscraperPlugin]
	[PluginPriority(3)]
	public class SerialDeviceFactory : IGpsReceiverFactory
	{
		public string PortName { get; set; }
		public int Baudrate { get; set; }

		public IGpsReceiver CreateGpsReceiver()
		{
			return new SerialDevice(PortName, Baudrate);
		}
	}
}
